package com.gxzc.zen.orm

import com.gxzc.zen.orm.contants.DSKey
import org.springframework.jdbc.datasource.lookup.AbstractRoutingDataSource

/**
 *
 * @author NorthLan at 2018/1/29
 */
class DynamicMultipleDataSource : AbstractRoutingDataSource() {
    init {
        DATA_SOURCE_KEY.set(DSKey.DSKEY_SYS)
    }

    companion object {
        private val DATA_SOURCE_KEY = ThreadLocal<String>()

        fun setDataSource(key: String) {
            DATA_SOURCE_KEY.set(key)
        }

        fun clear() {
            DATA_SOURCE_KEY.remove()
        }
    }

    override fun determineCurrentLookupKey(): Any {
        return DATA_SOURCE_KEY.get()
//        clear()
//        return lookupKey
    }
}